GNU(1)

BEZEICHNUNG
GNU sdiff - Unterschiede von Dateien nebeneinander stellen

ÜBERSICHT
sdiff [OPTION]… DATEI1 DATEI2

BESCHREIBUNG
Unterschiede zwischen DATEI1 und DATEI2 nebeneinander stellen.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-o, --output=DATEI
    interaktive Ausführung; Ausgabe in DATEI

-i, --ignore-case
    behandelt Groß- und Kleinschreibung gleich

-E, --ignore-tab-expansion
    Änderungen auf Grund von Tabulator-Expansion ignorieren

-Z, --ignore-trailing-space
    Alle Leerräume am Zeilenende ignorieren

-b, --ignore-space-change
    Änderungen der Anzahl von Leerräumen ignorieren

-W, --ignore-all-space
    Alle Leerräume ignorieren

-B, --ignore-blank-lines
    Änderungen ignorieren, die nur leere Zeilen betreffen

-I, --ignore-matching-lines=REGULÄRER_AUSDRUCK
    Änderungen ignorieren, deren Zeilen alle auf REGULÄRER_AUSDRUCK passen

--strip-trailing-cr
    Wagenrücklauf (Carriage Return) am Ende der Eingabe entfernen

-a, --text
    Alle Dateien als Text behandeln

-w, --width=ANZAHL
    Höchstens ANZAHL Spalten (Vorgabe 130) ausgeben

-l, --left-column
    Nur die linke Spalte von gemeinsamen Zeilen ausgeben

-s, --suppress-common-lines
    Gemeinsame Zeilen nicht ausgeben

-t, --expand-tabs
    Tabulatoren in der Ausgabe durch Leerzeichen ersetzen

--tabsize=ANZAHL
    Tabulator-Stopps befinden sich nach je ANZAHL (Vorgabe 8) Ausgabespalten.

-d, --minimal
    Intensive Suche nach einer kleineren Menge von Änderungen

-H, --speed-large-files
    große Dateien, viele verstreute kleine Änderungen annehmen

--diff-program=PROGRAMM
    PROGRAMM für den Vergleich der Dateien verwenden

--help
    zeigt Hilfeinformationen an und beendet das Programm.

-v, --version
    gibt Versionsinformationen aus und beendet das Programm.

Wenn als DATEI »-« angegeben ist, wird die Standardeingabe gelesen. Für gleiche Eingaben ist der Exit-Status 0, bei Unterschieden 1 und bei Problemen 2.

AUTOR
Geschrieben von Thomas Lord.

FEHLER MELDEN
Melden Sie Fehler (auf Englisch) an bug-diffutils@gnu.org
Homepage der GNU diffutils: <https://www.gnu.org/software/diffutils/>
Allgemeine Hilfe zur Benutzung von GNU-Software: <https://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2018 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <https://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
cmp(1), diff(1), diff3(1)

Die vollständige Dokumentation für sdiff wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und sdiff auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info sdiff

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Martin Eberhard Schauer <Martin.E.Schauer@gmx.de>, Dr. Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.